-- DROP TABLE IF EXISTS `yd_quotation`;
CREATE TABLE IF NOT EXISTS `yd_quotation` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `trader` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `product` varchar(200) NOT NULL,
  `category` smallint(5) NOT NULL,
  `standard` char(30) NOT NULL,
  `material` char(30) NOT NULL,
  `surface` char(30) NOT NULL,
  `pack` varchar(100) NOT NULL,
  `unit` char(30) NOT NULL,
  `currency` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `trader` (`trader`),
  KEY `product` (`product`),
  KEY `category` (`category`),
  KEY `standard` (`standard`),
  KEY `material` (`material`),
  KEY `surface` (`surface`),
  KEY `pack` (`pack`),
  KEY `unit` (`unit`),
  KEY `currency` (`currency`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_quotation_item`;
CREATE TABLE IF NOT EXISTS `yd_quotation_item` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `quotation` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `property1` char(30) NOT NULL,
  `property2` char(30) NOT NULL,
  `property3` char(30) NOT NULL,
  `connector` char(30) NOT NULL,
  `discount` decimal(14,6) NOT NULL,
  `price` decimal(14,6) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `quotation` (`quotation`),
  KEY `property1` (`property1`),
  KEY `property2` (`property2`),
  KEY `property3` (`property3`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `yd_grouppriv` VALUES (1,'buy','showRecentOrders'),(1,'quotation','browse'),(1,'quotation','create'),(1,'quotation','delete'),(1,'quotation','detail'),(1,'quotation','edit'),(1,'quotation','showQuotation'),(1,'sale','showRecentOrders'),(2,'buy','showRecentOrders'),(2,'quotation','browse'),(2,'quotation','detail'),(2,'quotation','showQuotation'),(2,'sale','showRecentOrders'),(3,'quotation','browse'),(3,'quotation','create'),(3,'quotation','delete'),(3,'quotation','detail'),(3,'quotation','edit'),(3,'quotation','showQuotation'),(3,'sale','showRecentOrders'),(4,'buy','showRecentOrders'),(4,'quotation','browse'),(4,'quotation','create'),(4,'quotation','delete'),(4,'quotation','detail'),(4,'quotation','edit'),(4,'quotation','showQuotation'),(7,'quotation','showQuotation'),(7,'sale','showRecentOrders'),(8,'buy','showRecentOrders'),(8,'quotation','showQuotation');
