-- DROP TABLE IF EXISTS `yd_category`;
CREATE TABLE IF NOT EXISTS `yd_category` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(30) NOT NULL,
  `desc` text NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `parent` smallint(5) unsigned NOT NULL DEFAULT '0',
  `path` char(255) NOT NULL,
  `grade` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `type` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tree` (`type`),
  KEY `order` (`order`),
  KEY `parent` (`parent`),
  KEY `path` (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_config`;
CREATE TABLE IF NOT EXISTS `yd_config` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `owner` char(30) NOT NULL,
  `module` varchar(30) NOT NULL,
  `section` char(30) NOT NULL,
  `key` char(30) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique` (`owner`,`module`,`section`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_file`;
CREATE TABLE IF NOT EXISTS `yd_file` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `pathname` char(50) NOT NULL,
  `title` char(90) NOT NULL,
  `extension` char(30) NOT NULL,
  `size` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `width` smallint(5) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  `objectType` char(20) NOT NULL,
  `objectID` mediumint(9) NOT NULL,
  `addedBy` char(30) NOT NULL,
  `addedDate` datetime NOT NULL,
  `public` enum('1','0') NOT NULL DEFAULT '1',
  `downloads` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `extra` varchar(255) NOT NULL,
  `primary` enum('1','0') DEFAULT '0',
  `editor` enum('1','0') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `object` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_relation`;
CREATE TABLE IF NOT EXISTS `yd_relation` (
  `type` char(20) NOT NULL,
  `id` mediumint(9) NOT NULL,
  `category` smallint(5) NOT NULL,
  UNIQUE KEY `relation` (`type`,`id`,`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_user`;
CREATE TABLE IF NOT EXISTS `yd_user` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `password` char(32) NOT NULL,
  `role` char(10) NOT NULL DEFAULT '',
  `realname` char(30) NOT NULL,
  `nickname` char(60) NOT NULL,
  `admin` enum('no','common','super') NOT NULL DEFAULT 'common',
  `avatar` char(30) NOT NULL,
  `birthday` date NOT NULL,
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `email` char(90) NOT NULL,
  `skype` char(90) NOT NULL,
  `qq` char(90) NOT NULL,
  `yahoo` char(90) NOT NULL,
  `gtalk` char(90) NOT NULL,
  `wangwang` char(90) NOT NULL,
  `site` varchar(100) NOT NULL,
  `mobile` char(120) NOT NULL,
  `phone` char(150) NOT NULL,
  `company` varchar(255) NOT NULL,
  `address` char(120) NOT NULL,
  `zipcode` char(10) NOT NULL,
  `visits` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL,
  `last` datetime NOT NULL,
  `fails` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `referer` varchar(255) NOT NULL,
  `join` datetime NOT NULL,
  `reset` char(64) NOT NULL,
  `locked` datetime NOT NULL,
  `public` varchar(30) NOT NULL DEFAULT '0',
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`),
  KEY `account` (`account`,`password`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_shelf`;
CREATE TABLE If NOT EXISTS `yd_shelf` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `store` smallint(5) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `store` (`store`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8; 

-- DROP TABLE IF EXISTS `yd_product`;
CREATE TABLE IF NOT EXISTS `yd_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `sn` char(30) NOT NULL,
  `pinyin` char(200) NOT NULL,
  `barsn` char(30) NOT NULL,
  `brand` varchar(100) NOT NULL,
  `standard` char(30) NOT NULL,
  `model` char(30) NOT NULL,
  `material` char(30) NOT NULL,
  `surface` char(30) NOT NULL,
  `pack` varchar(100) NOT NULL,
  `unit` char(30) NOT NULL,
  `price` decimal(14,6) NOT NULL,
  `desc` text NOT NULL,
  `store` smallint(5) unsigned NOT NULL,
  `shelf` varchar(100) NOT NULL,
  `amount` decimal(14,4) NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` char(20) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `sn` (`sn`),
  KEY `pinyin` (`pinyin`),
  KEY `barsn` (`barsn`),
  KEY `status` (`status`),
  KEY `model` (`model`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_company`;
CREATE TABLE IF NOT EXISTS `yd_company` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `companyName` varchar(100) NOT NULL,
  `fullName` varchar(100) NOT NULL,
  `juristicPerson` varchar(100) NOT NULL,
  `account` varchar(100) NOT NULL,
  `taxNumber` varchar(100) NOT NULL,
  `bank` varchar(100) NOT NULL,
  `companySite` varchar(100) NOT NULL,
  `companyWeixin` char(50) NOT NULL,
  `companyWeibo` char(50) NOT NULL,
  `businessAddress` varchar(100) NOT NULL,
  `registeredAddress` varchar(100) NOT NULL,
  `companyPhone` char(150) NOT NULL,
  `companyFax` char(120) NOT NULL,
  `desc` text NOT NULL,
  `type` enum('self', 'customer', 'supplier', 'partner') NOT NULL DEFAULT 'customer',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `companyName` (`companyName`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_contact`;
CREATE TABLE IF NOT EXISTS `yd_contact` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `maker` enum('0','1') NOT NULL DEFAULT '0',
  `title` char(50) NOT NULL,
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `companyID` mediumint(8) unsigned NOT NULL,
  `address` varchar(200) NOT NULL,
  `email` varchar(90) NOT NULL,
  `fax` char(120) NOT NULL,
  `skype` char(50) NOT NULL,
  `qq` char(90) NOT NULL,
  `wangwang` char(50) NOT NULL,
  `mobile` char(120) NOT NULL,
  `phone` char(150) NOT NULL,
  `weibo` char(50) NOT NULL,
  `weixin` char(50) NOT NULL,
  `desc` text NOT NULL,
  `type` char(30) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `companyID` (`companyID`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_store`;
CREATE TABLE IF NOT EXISTS `yd_store` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `location` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `manager` varchar(100) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_order`;
CREATE TABLE IF NOT EXISTS `yd_order` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `orderNo` char(20) NOT NULL DEFAULT '',
  `type` enum('sale', 'buy', 'saleRefund', 'buyRefund') NOT NULL DEFAULT 'sale',
  `trader` mediumint(8) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `taxed` enum('0', '1', '2') NOT NULL DEFAULT '2',
  `contract` char(30) NOT NULL,
  `settlement` char(30) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `finishedDate` datetime NOT NULL,
  `status` char(20) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `trader` (`trader`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_order_refund`;
CREATE TABLE IF NOT EXISTS `yd_order_refund` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `refundOrder` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `trader` mediumint(8) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `refundOrder` (`refundOrder`),
  KEY `order` (`order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_order_product`;
CREATE TABLE IF NOT EXISTS `yd_order_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `order` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `trader` mediumint(8) NOT NULL,
  `product` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `amount` decimal(14,4) unsigned NOT NULL default '0.0000',
  `price` decimal(14,6) unsigned NOT NULL default '0.000000',
  `money` decimal(12,2) unsigned NOT NULL default '0.00',
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `trader` (`trader`),
  KEY `product` (`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_batch`;
CREATE TABLE IF NOT EXISTS `yd_batch` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('in', 'out') NOT NULL DEFAULT 'in',
  `order` mediumint(8) NOT NULL DEFAULT 0,
  `trader` mediumint(8) NOT NULL DEFAULT 0,
  `pickedBy` char(30) NOT NULL,
  `pickedDate` datetime  NOT NULL,
  `expressedBy` char(30) NOT NULL,
  `expressedDate` datetime NOT NULL,
  `express` mediumint(8) NOT NULL DEFAULT 0,
  `waybill` char(50) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `status` char(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `trader` (`trader`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_batch_product`;
CREATE TABLE IF NOT EXISTS `yd_batch_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `order` mediumint(8) NOT NULL DEFAULT 0,
  `trader` mediumint(8) NOT NULL DEFAULT 0,
  `batch` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `product` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `amount` decimal(14,4) unsigned NOT NULL default '0.000000',
  PRIMARY KEY (`id`),
  KEY `batch` (`batch`),
  KEY `order` (`order`),
  KEY `trader` (`trader`),
  KEY `product` (`product`),
  UNIQUE KEY `batchProduct` (`batch`,`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_oauth`;
CREATE TABLE IF NOT EXISTS `yd_oauth` (
   `account` varchar(30) character set utf8 NOT NULL,
   `provider` varchar(30) character set utf8 NOT NULL,
   `openID` varchar(60) character set utf8 NOT NULL,
   UNIQUE KEY `account` (`account`,`provider`,`openID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_action`;
CREATE TABLE `yd_action` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned DEFAULT NULL,
  `contact` mediumint(8) unsigned DEFAULT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `actor` varchar(30) NOT NULL DEFAULT '',
  `action` varchar(30) NOT NULL DEFAULT '',
  `date` datetime NOT NULL,
  `comment` text NOT NULL,
  `extra` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer` (`customer`),
  KEY `contact` (`contact`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_depositor`;
CREATE TABLE `yd_depositor` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `abbr` char(60) NOT NULL,
  `provider` char(100) NOT NULL,
  `title` char(100) NOT NULL,
  `account` char(90) NOT NULL,
  `bankcode` varchar(30) NOT NULL,
  `public` enum('0','1') NOT NULL,
  `type` enum('cash','bank','online') NOT NULL,
  `currency` char(30) NOT NULL,
  `status` enum('normal','disable') NOT NULL DEFAULT 'normal',
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_balance`;
CREATE TABLE `yd_balance` ( 
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `depositor` mediumint(8) NOT NULL,
  `date` date NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `currency` char(30) NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `depositor` (`depositor`,`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_trade`;
CREATE TABLE `yd_trade` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT, 
  `depositor` mediumint(8) NOT NULL,
  `parent` mediumint(8) NOT NULL DEFAULT 0,
  `trader` smallint(5) unsigned NOT NULL DEFAULT 0,
  `order` varchar(255) NOT NULL,
  `type` enum('in', 'out') NOT NULL DEFAULT 'in',
  `money` decimal(12,2) NOT NULL,
  `currency` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `handlers` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_history`;
CREATE TABLE `yd_history` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `action` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `field` varchar(30) NOT NULL DEFAULT '',
  `old` text NOT NULL,
  `new` text NOT NULL,
  `diff` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_group`;
CREATE TABLE IF NOT EXISTS `yd_group` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` char(30) NOT NULL,
  `role` char(30) NOT NULL default '',
  `desc` char(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_grouppriv`;
CREATE TABLE IF NOT EXISTS `yd_grouppriv` (
  `group` mediumint(8) unsigned NOT NULL default '0',
  `module` char(30) NOT NULL default '',
  `method` char(30) NOT NULL default '',
  UNIQUE KEY `group` (`group`,`module`,`method`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_usergroup`;
CREATE TABLE IF NOT EXISTS `yd_usergroup` (
  `account` char(30) NOT NULL default '',
  `group` mediumint(8) unsigned NOT NULL default '0',
  UNIQUE KEY `account` (`account`,`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_initialbalance`;
CREATE TABLE IF NOT EXISTS `yd_initialbalance` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `companyID` mediumint(8) unsigned NOT NULL,
  `type` enum('receivable', 'payable') NOT NULL default 'receivable',
  `money` decimal(12,2) NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY (`companyID`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `yd_purchase_product`;
CREATE TABLE IF NOT EXISTS `yd_purchase_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `order` mediumint(8) NOT NULL DEFAULT 0,
  `product` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `amount` decimal(14,4) unsigned NOT NULL default '0.0000',
  `assignedTo` char(30) NOT NULL,
  `status` char(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `product` (`product`),
  UNIQUE KEY `orderProduct` (`order`,`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
