<?php 
/**
 * The browse view file of finance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     finance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('type', $type);?>
<?php js::set('searchType', $searchType);?>
<div class='panel'>
  <div id='featurebar'>
    <ul class='nav'>
      <?php foreach($lang->finance->date as $key => $value):?>
      <li id='<?php echo $key?>'><?php echo html::a(inlink('browse', "type={$type}&searchType={$key}"), $value);?></li> 
      <?php endforeach;?>
      <li id='searchTab'><?php echo html::a('#', "<i class='icon icon-search'></i>" . $lang->search);?></li>
    </ul>
    <div id='querybox' class='hide'>
      <form id='searchForm' method='post' action='<?php echo inlink('browse', "type={$type}&searchType=bysearch");?>'>
        <table class='table table-condensed table-form' style='margin: 0 auto'>
          <tr>
            <td class='w-180px'><?php echo html::select('company', $companies, $this->post->company, "class='form-control chosen' data-placeholder='{$lang->finance->select[$companyType]}'");?></td>
            <td class='w-180px'><?php echo html::input('begin', $begin, "class='form-control form-date' placeholder='{$lang->finance->select['begin']}'");?></td>
            <td class='w-180px'><?php echo html::input('end', $end, "class='form-control form-date' placeholder='{$lang->finance->select['end']}'");?></td>
            <td class=''>
              <div class='btn-group'>
                <?php echo html::submitButton($lang->search);?>
              </div>
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
  <table class='table table-condensed table-hover table-striped tablesorter'>
    <thead>
      <tr>
        <th><?php echo $lang->finance->customer[$type];       ?></th>
        <th class='text-right'><?php echo $lang->finance->lastPeriodBalance;     ?></th>
        <th class='text-right'><?php echo $lang->finance->thisPeriodOrder;       ?></th>
        <th class='text-right'><?php echo $lang->finance->thisPeriodTrade[$type];?></th>
        <th class='text-right'><?php echo $lang->finance->thisPeriodBalance;     ?></th>
        <td class='w-150px'></td>
      </tr>
    </thead>
    <tbody>
      <?php 
        $lastPeriodBalance = 0;
        $thisPeriodOrder   = 0;
        $thisPeriodTrade   = 0;
        $thisPeriodBalance = 0;
        foreach($balances as $key => $balance):
      ?>
      <tr class='text-right'>
        <td class='text-left'>
          <?php $company = zget($companyList, $key);?>
          <?php if(isset($company->fullName) && !commonModel::printLink($company->type, 'detail', "id=$key", $company->fullName)) echo $company->fullName;?>
        </td>
        <td><?php echo $balance->lastPeriodBalance;?></td>
        <td><?php echo $balance->thisPeriodOrder;  ?></td>
        <td><?php echo $balance->thisPeriodTrade;  ?></td>
        <td><?php echo $balance->thisPeriodBalance;?></td>
        <td>
          <?php 
            echo html::hidden('companyId', $key);
            echo html::hidden('money', $balance->thisPeriodBalance);
            if(commonModel::hasPriv('trade', 'create')) echo html::a('#', $lang->finance->trade->$type, "class='postHiddenForm' id='trade'");
            if(commonModel::hasPriv('finance', 'check')) echo html::a('#', $lang->finance->check->common,  "class='postHiddenForm' id='check'");
            if(commonModel::hasPriv('finance', 'detail')) echo html::a('#', $lang->finance->detail->$type, "class='postHiddenForm' id='detail'");
          ?>
        </td>
      </tr>
      <?php 
        $lastPeriodBalance += $balance->lastPeriodBalance;
        $thisPeriodOrder   += $balance->thisPeriodOrder;
        $thisPeriodTrade   += $balance->thisPeriodTrade;
        $thisPeriodBalance += $balance->thisPeriodBalance;
        endforeach;
      ?>
    </tbody>
    <tfoot>
      <tr class='text-danger'>
        <th class='text-left'><?php echo $lang->finance->total->common;?></th>
        <th class='text-right'><?php echo $lastPeriodBalance;?></th>
        <th class='text-right'><?php echo $thisPeriodOrder;?></th>
        <th class='text-right'><?php echo $thisPeriodTrade;?></th>
        <th class='text-right'><?php echo $thisPeriodBalance;?></th>
      </tr>
    </tfoot>
  </table>
</div>
<form id='hiddenForm' method='post'>
<?php 
    echo html::hidden('begin', $begin);
    echo html::hidden('end', $end);
    /* Used to access post value to create trade data. */
    echo html::hidden('companyId');
    echo html::hidden('money');
?>
</form>
<?php include '../../common/view/footer.html.php';?>
