<?php
/**
 * The check view file of finance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     finance
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::import($jsRoot . 'jquery/printarea/printarea.js')?>
<div class='panel'>
  <div id='featurebar'>
    <div id='querybox' class=''>
      <form id='searchForm' method='post' action='<?php echo inlink('check');?>'>
        <table class='table table-condensed table-form' style='margin: 0 auto'>
          <tr>
            <td class='w-180px'><?php echo html::select('company', $companies, empty($company) ? '' : $company->id, "class='form-control chosen' data-placeholder='{$lang->finance->select['company']}'");?></td>
            <td class='w-180px'><?php echo html::input('begin', $begin, "class='form-control form-date' placeholder='{$lang->finance->select['begin']}'");?></td>
            <td class='w-180px'><?php echo html::input('end', $end, "class='form-control form-date' placeholder='{$lang->finance->select['end']}'");?></td>
            <td class='w-180px'>
              <label class='checkbox'>
                <input type='checkbox' name='detail' value='1' class='checkbox' <?php if($detail) echo 'checked';?>><?php echo $lang->finance->check->orderDetail;?>
              </label>
            </td>
            <td>
              <div class='btn-group'>
                <?php echo html::submitButton($lang->search);?>
              </div>
            </td>
          </tr>
        </table>
      </form>
    </div>
  </div>
  <?php if(!empty($company)):?>
    <?php
      if(empty($detail))
      {
          $width = '21cm';
      }
      else
      {
          $width = '29.7cm';
      }
    ?>
    <div id='printarea'>
      <style>
        #printarea
        {
          width: <?php echo $width;?>;
          margin: 0 auto;
        }

        .table-bordered, .table-bordered tr, .table-bordered thead > tr > th, .table-bordered th, .table-bordered td
        {
          border: 1px solid #000;
        }

        .table-print
        {
          font: 12px/1.5 arial, \5b8b\4f53;
          color: #555;
        }

        .table-print th, .table-print td
        {
          padding: 2px;
        }

        .title-print
        {
          font-size: 24px;
        }

        .tips
        {
          margin-top: 10px;
          font-weight: bold;
        }

        .page-break
        {
            page-break-after: always;
        }
        
        table.v-center th, table.v-center td
        {
            vertical-align : middle;
        }

        @media print
        {
          .tips
          {
            display: none;
          }
        }
      </style>
      
      <?php $pageCount = count($pageList);?>
      <?php foreach($pageList as $pageIndex => $page):?>
        <?php if($pageIndex > 1):?>
          <div class='page-break'></div>
          <p class='page-index-<?php echo $pageIndex;?>'>&nbsp;</p>
          <p class='page-index-<?php echo $pageIndex;?>'>&nbsp;</p>
        <?php else:?>
          <p class='table-position-fix'>&nbsp;</p>
          <p class='table-position-fix'>&nbsp;</p>
        <?php endif;?>
        <div class='page-index-<?php echo $pageIndex;?>'>
          <table class='table table-condensed table-borderless table-print'>
            <tr>
              <th class='text-center title-print' colspan='2'><?php echo empty($selfCompany->fullName) ? $selfCompany->companyName : $selfCompany->fullName;?></th>
            </tr>
            <tr>
              <th class='text-center title-print' colspan='2'><?php echo empty($detail) ? $lang->finance->check->common : $lang->finance->check->detail;?></th>
            </tr>
            <tbody>
              <tr>
                <td></td>
                <td class='text-right'><?php echo sprintf($lang->finance->page, $pageIndex, $pageCount);?></td>
              </tr>
              <tr>
                <th><?php echo $lang->company->typeList[$company->type] . '：' . $company->fullName;?></th>
                <th class='text-right'><?php echo sprintf($lang->finance->period, $begin, $end);?></th>
              </tr>
            </tbody>
          </table>
          <table class='table table-condensed table-bordered v-center text-center table-print'>
            <tr class='text-center'>
              <th class='w-120px'><?php echo $lang->finance->serialNo;?></th>
              <th class='w-60px' ><?php echo $lang->finance->type;?></th>
              <th class='w-80px' ><?php echo $lang->date->common;?></th>
              <?php if(!empty($detail)):?>
                <th class=''><?php echo $lang->batch->product;?></th>
                <th class='w-140px'><?php echo $lang->batch->model;?></th>
                <th class='w-60px' ><?php echo $lang->batch->unit;?></th>
                <th class='w-60px' ><?php echo $lang->batch->amount;?></th>
                <th class='w-60px' ><?php echo $lang->batch->price;?></th>
              <?php endif;?>
              <th class='w-100px'><?php echo $lang->batch->money;?></th>
            </tr>
            <?php foreach($page as $item):?>
              <?php if($item->itemType == 'item'):?>
                <tr class='text-center'>
                  <td><?php echo $item->serialNo;?></td>
                  <td><?php echo $item->type;?></td>
                  <td><?php echo $item->date;?></td>
                  <?php if(!empty($detail)):?>
                    <td colspan='5' class='text-right'></td>
                  <?php endif;?>
                  <td><?php echo $item->money;?></td>
                </tr>
              <?php elseif($item->itemType == 'detailItem'):?>
                <tr>
                  <?php if(isset($item->detail->rowcount)):?>
                    <td rowspan='<?php echo $item->detail->rowcount;?>'><?php echo $item->serialNo;?></td>
                    <td rowspan='<?php echo $item->detail->rowcount;?>'><?php echo $item->type;?></td>
                    <td rowspan='<?php echo $item->detail->rowcount;?>'><?php echo $item->date;?></td>
                    <td><?php echo $item->detail->name;?></td>
                    <td><?php echo $item->detail->model;?></td>
                    <td><?php echo $item->detail->unit;?></td>
                    <td><?php echo $item->detail->amount;?></td>
                    <td><?php echo $item->detail->price;?></td>
                    <td><?php echo $item->money;?></td>
                  <?php else:?>
                    <td><?php echo $item->detail->name;?></td>
                    <td><?php echo $item->detail->model;?></td>
                    <td><?php echo $item->detail->unit;?></td>
                    <td><?php echo $item->detail->amount;?></td>
                    <td><?php echo $item->detail->price;?></td>
                    <td><?php echo $item->money;?></td>
                  <?php endif;?>
                </tr>
              <?php elseif($item->itemType == 'total'):?>
                <tr>
                  <?php if(empty($detail)):?>
                    <td colspan='3' class='text-right'><?php echo $item->type;?></td>
                  <?php else:?>
                    <td colspan='8' class='text-right'><?php echo $item->type;?></td>
                  <?php endif;?>
                  <td class='text-center'><?php echo $item->money;?></td>
                </tr>
              <?php elseif($item->itemType == 'result'):?>
                <tr class='text-center'>
                  <td><?php echo $item->serialNo;?></td>
                  <?php if(empty($detail)):?>
                    <td colspan='3'><?php echo $item->type;?></td>
                  <?php else:?>
                    <td colspan='8'><?php echo $item->type;?></td>
                  <?php endif;?>
                </tr>
              <?php endif;?>
            <?php endforeach;?>
          </table>
          <div class='tips'><?php echo $lang->finance->print->tips;?></div>
        </div>
      <?php endforeach;?>
    </div>
    <div class='page-actions action-fix'>
      <div class='page-guide'>
        <?php foreach($pageList as $pageIndex => $page):?>
          <?php echo html::a('#', sprintf($lang->finance->print->page, $pageIndex), "data-index='$pageIndex' class='page-show'");?>
        <?php endforeach;?>
      </div>
      <div>
        <?php echo html::commonButton($lang->print, 'btn btn-primary', "id='print'");?>
        <?php echo html::backButton();?>
      </div>
    </div>
  <?php endif;?>
</div>
<?php include '../../common/view/footer.html.php';?>
