<?php
/**
 * Create tables.
 * 
 * @param  string $version 
 * @access public
 * @return bool
 */
public function createTable($version)
{
    $clientLang = $this->app->getClientLang();

    $dbFile = $this->app->getAppRoot() . 'db' . DS . 'yidou.sql';
    $defaultDataFile = $this->app->getAppRoot() . 'db' . DS . 'local.' . $clientLang . '.sql';

    $extSQLFile = $this->app->getAppRoot() . 'db' . DS . 'fastener.sql';

    $dbContents = file_get_contents($dbFile) . file_get_contents($defaultDataFile) . file_get_contents($extSQLFile);
    $tables = array_merge(explode(';', $dbContents));

    foreach($tables as $table)
    {
        $table = trim($table);
        if(empty($table)) continue;

        if(strpos($table, 'CREATE') !== false and $version <= 4.1)
        {
            $table = str_replace('DEFAULT CHARSET=utf8', '', $table);
        }
        elseif(strpos($table, 'DROP') !== false and $this->post->clearDB != false)
        {
            $table = str_replace('--', '', $table);
        }
        
        if(substr(trim($table), 0, 2) == '--') continue; 

        $table = str_replace('yd_', $this->config->db->prefix, $table);
        $table = str_replace('`' . $this->config->db->prefix, '`' . $this->config->db->name . '`' . '.`' . $this->config->db->prefix, $table);

        if(!$this->dbh->query($table)) return false;
    }
    return true;
}
