<?php 
/**
 * The create/edit view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('type', $type);?>
<?php js::set('sideGuide', $sideGuide);?>
<div class='col-md-2'>
  <?php include './sideguide.html.php';?>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'>
      <?php if($method == 'create'):?>
      <strong><i class='icon-plus'></i> <?php echo $lang->invoice->create;?></strong>
      <?php elseif($method == 'edit'):?>
      <strong><i class='icon-edit'></i> <?php echo $lang->invoice->edit;?></strong>
      <?php endif;?>
    </div>
    <div class='panel-body'>
      <form method='post' id='ajaxForm'>
        <table class='table table-borderless table-condensed'>
          <tr>
            <th><?php echo $lang->invoice->buyerName;?></th>
            <td colspan='3'>
              <?php echo html::input('buyerName', $invoice->buyerName, "class='form-control'");?>
              <?php echo html::hidden('buyer', $invoice->buyer, "class='form-control'");?>
            </td>
            <th><?php echo $lang->invoice->salerName;?></th>
            <td colspan='3'>
              <?php echo html::input('salerName', $invoice->salerName, "class='form-control'");?>
              <?php echo html::hidden('saler', $invoice->saler, "class='form-control'");?>
            </td>
          </tr>
          <tr>
            <th class='w-130px'><?php echo $lang->invoice->taxCode?></th>
            <td><?php echo html::input('taxCode', $invoice->taxCode, "id='taxCode' class='form-control'")?></td>
            <th class='w-80px'><?php echo $lang->invoice->invoiceNo;?></th>
            <td><?php echo html::input('invoiceNo', $invoice->invoiceNo, "class='form-control'");?></td>
            <th class='w-130px'><?php echo $lang->invoice->date;?></th>
            <td><?php echo html::input('createdDate', $invoice->createdDate, "class='form-control form-date'");?></td>
            <th class='w-80px'><?php echo $lang->invoice->taxRate;?></th>
            <td>
              <div class='required required-wrapper'></div>
              <?php echo html::input('taxRate', $invoice->taxRate, "class='form-control'");?>
            </td>
          </tr>
        </table>
        <table class='table table-borderless table-condensed'>
          <?php $i = 0;?>
          <?php $taxAmount   = 0;?>
          <?php $amountMoney = 0;?>
          <tr class='text-center'>
            <th class='w-220px'><?php echo $lang->invoice->productName;?></th>
            <th class='w-100px'><?php echo $lang->invoice->orderNo;?></th>
            <th class='w-100px'><?php echo $lang->invoice->expressedDate;?></th>
            <th class='w-60px' ><?php echo $lang->invoice->uninvoicedCount;?></th>
            <th class='w-80px' ><?php echo "{$lang->invoice->price}<br>({$lang->invoice->isTaxed})";?></th>
            <th class='w-100px'><?php echo "{$lang->invoice->price}<br>({$lang->invoice->untaxed})";?></th>
            <th class='w-80px' ><?php echo "{$lang->invoice->money}<br>({$lang->invoice->isTaxed})";?></th>
            <th class='w-100px'><?php echo "{$lang->invoice->money}<br>({$lang->invoice->untaxed})";?></th>
            <th class='w-100px'><?php echo $lang->invoice->tax;?></th>
          </tr>
          <?php foreach($invoice->productList as $invoicedProduct):?>
          <tr class='text-center batchProductList'>
            <?php $product = zget($productList, $invoicedProduct->product);?>
            <td>
              <?php echo html::input('', empty($product) ? '' : $product->name, "class='form-control' readonly");?>
              <?php echo html::hidden("invoicedProduct[$i]", $invoicedProduct->batchProductID);?>
            </td>
            <td><?php echo $orderList[$invoicedProduct->order]->orderNo;?></td>
            <td><?php echo $invoicedProduct->expressedDate;?></td>
            <td>
              <?php echo html::input("invoicedList[$i]", $invoicedProduct->invoiced, "id='invoicedList{$i}' class='form-control invoiced'");?>
              <?php echo html::hidden("maxInvoicedList[$i]", $invoicedProduct->maxInvoiced);?>
            </td>
            <td class='taxedPrice'>
              <?php echo $invoicedProduct->taxedPrice;?>
              <?php echo html::hidden("taxedPriceList[$i]", $invoicedProduct->taxedPrice);?>
            </td>
            <td><?php echo html::input("untaxedPriceList[$i]", $invoicedProduct->untaxedPrice, "class='form-control untaxedPrice'");?></td>
            <td class='taxedMoney'><?php echo round($invoicedProduct->taxedPrice * $invoicedProduct->invoiced, 2);?></td>
            <td><?php echo html::input("untaxedMoneyList[$i]", $invoicedProduct->untaxedMoney, "class='form-control untaxedMoney'");?></td>
            <td><?php echo html::input("taxList[$i]", $invoicedProduct->tax, "class='form-control tax'");?></td>
          </tr>
          <?php $i++;?>
          <?php endforeach;?>
          <tr>
            <td colspan='9'><?php echo html::textarea('desc', $invoice->desc, "rows='2' class='form-control' placeholder='$lang->desc'");?></td>
          </tr>
        </table>
        <table class='table table-borderless table-condensed'>
          <tr>
            <th><?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->isTaxed})";?></th>
            <td><?php echo html::input('taxedMoneyAmount', $invoice->taxedMoneyAmount, "class='form-control'");?></td>
            <th><?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->untaxed})";?></th>
            <td><?php echo html::input('untaxedMoneyAmount', $invoice->untaxedMoneyAmount, "class='form-control'");?></td>
            <th><?php echo $lang->invoice->taxAmount;?></th>
            <td><?php echo html::input('taxAmount', $invoice->taxAmount, "id='taxAmount' class='form-control'")?></td>
            <?php echo html::hidden('type', $invoice->type);?>
          </tr>
          <tr>
            <td></td>        
            <td>
              <?php echo html::submitButton() . html::backButton();?>
            </td>   
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
