<?php 
/**
 * The detail view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('type', $type);?>
<div class='row'>
  <div class='col-md-8'>
    <div class='panel'>
      <div class='panel-heading'><strong><i class='icon-list-info'></i> <?php echo $lang->invoice->invoiceList;?></strong></div>
      <table class='table table-hover table-condensed table-striped'>
        <thead>
          <tr class='text-center'>
            <th class='w-40px' ><?php echo $lang->invoice->SN;?></th>
            <th class='w-150px'><?php echo $lang->invoice->productName;?></th>
            <th class='w-60px' ><?php echo $lang->invoice->pack;?></th>
            <th class='w-40px' ><?php echo $lang->invoice->unit;?></th>
            <th class='w-70px' ><?php echo $lang->invoice->amount;?></th>
            <th class='w-70px' ><?php echo $lang->invoice->price;?></th>
            <th class='w-80px' ><?php echo $lang->invoice->money;?></th>
            <th class='w-40px' ><?php echo $lang->invoice->taxRate;?></th>
            <th class='w-80px' ><?php echo $lang->invoice->tax;?></th>
          </tr>
        </thead>
        <?php $index = 1;?>
        <?php foreach($invoice->productList as $invoicedProduct):?>
        <?php $product = $productList[$invoicedProduct->product];?>
        <tr class='text-center'>
          <td><?php echo $index;?></td>    
          <td><?php echo $product->name;?></td>    
          <td><?php echo $product->pack;?></td>    
          <td><?php echo $product->unit;?></td>    
          <td><?php echo $invoicedProduct->invoiced;?></td>    
          <td><?php echo $invoicedProduct->untaxedPrice;?></td>    
          <td><?php echo $invoicedProduct->untaxedMoney;?></td>    
          <td><?php echo $invoice->taxRate;?></td>    
          <td><?php echo $invoicedProduct->tax;?></td>    
        </tr>
        <?php $index++;?>
        <?php endforeach;?>
      </table>
    </div>
    <div class='history'>
    <?php include '../../common/view/action.html.php';?>
    </div>
    <div class='page-actions'>
      <div class="btn-group">
      <?php 
        echo html::a(inlink('printInvoiceList', array('invoiceID' => $invoiceID)), $lang->print, "class='printBtn btn'");
        if(!commonModel::printLink('invoice', 'edit', array('invoiceID' => $invoiceID), $lang->edit, "class='btn'")) echo html::a('#', $lang->edit, "class='btn' disabled='disabled'");
      ?>      
      </div>
      <div class="btn-group">
      <?php 
        if(!commonModel::printLink('invoice', 'delete', array('invoiceID' => $invoiceID, 'type' => $type), $lang->delete, "class='btn deleter'")) echo html::a('#', $lang->delete, "class='btn' disabled='disabled'");
        if(!commonModel::printLink('invoice', 'discard', array('invoiceID' => $invoiceID, 'type' => $type), $lang->discard, "class='btn' data-toggle='modal'")) echo html::a('#', $lang->discard, "class='btn' disabled='disabled'");
      ?>
      </div>
      <?php echo html::backButton();?>
    </div>
  </div>
  <div class='col-md-4'>
    <div class='panel'>
      <div class='panel-heading'><strong><i class='icon-list-info'></i> <?php echo $lang->invoice->invoiceInfo;?></strong></div>
      <div class='panel-body'>
        <table class='table table-info'>
          <tr>
            <th class='w-140px'><?php echo $lang->invoice->buyerName;?></th>
            <td><?php echo $invoice->buyerName;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->salerName;?></th>
            <td><?php echo $invoice->salerName;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->taxCode;?></th>
            <td><?php echo $invoice->taxCode;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->invoiceNo;?></th>
            <td><?php echo $invoice->invoiceNo;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->date;?></th>
            <td><?php echo $invoice->createdDate;?></td>
          </tr>
          <tr>
            <th><?php echo "{$lang->invoice->invoicedMoney}({$lang->invoice->isTaxed})";?></th>
            <td><?php echo $invoice->taxedMoneyAmount;?></td>
          </tr>
          <tr>
            <th><?php echo "{$lang->invoice->invoicedMoney}({$lang->invoice->untaxed})";?></th>
            <td><?php echo $invoice->untaxedMoneyAmount;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->taxRate;?></th>
            <td><?php echo $invoice->taxRate;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->invoice->taxAmount;?></th>
            <td><?php echo $invoice->taxAmount;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->status;?></th>
            <td><?php echo $lang->invoice->printStatus[$invoice->printStatus];?></td>
          </tr>
          <tr>
            <th><?php echo $lang->desc;?></th>
            <td><?php echo $invoice->desc;?></td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
