<?php 
/**
 * The create view of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     order 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../../common/view/header.html.php';?>
<?php include '../../../common/view/datepicker.html.php';?>
<?php include '../../../common/view/chosen.html.php';?> 
<?php js::set('status', $status);?>
<?php js::set('noResultsMatch', $lang->noResultsMatch);?>
<?php js::set('product', $lang->order->product);?>
<?php js::set('companiesCount', count($companies));?>
<?php js::set('showQuotation', commonModel::hasPriv('quotation', 'showQuotation'));?>
<?php js::set('showRecentOrders', commonModel::hasPriv($type, 'showRecentOrders'));?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-plus'></i> <?php echo $lang->order->create;?></strong>
  </div>
  <div class='panel-body'>
  <form method='post' id='ajaxForm'>
    <table class='table table-form'>
      <tr>
        <th class='w-70px'><?php echo $lang->order->trader[$type];?></th>
        <td>
          <div class='required required-wrapper'></div>
          <div class='input-group'>
            <?php echo html::select('trader', $companies, '', "class='order-trader form-control chosen'");?>
            <?php echo html::input('newTrader', '', "class='order-trader form-control' style='display:none' placeholder='{$lang->order->trader[$type]}'");?>
            <span class='input-group-addon'>
              <?php echo html::checkbox('createTrader', $lang->new, '', "class='createTrader'");?>
            </span>
          </div>
        </td>
        <td></td>
        <th><?php echo $lang->order->contract;?></th>
        <td colspan='2'><?php echo html::input('contract', '', "class='form-control'");?></td>
        <td class='w-60px'></td>
      </tr>
      <?php 
        $i = 1; 
        $productsCount = count($orderProducts); 
        $newItemsCount = $config->order->newItemsCount;
        $money = 0;
        foreach($orderProducts as $key => $orderProduct):
            $money += $orderProduct->money;
      ?>
      <tr>
        <?php if($i == 1):?>
        <th id='product_title' rowspan='<?php echo $productsCount < $newItemsCount ? $newItemsCount : $productsCount + 1;?>'><?php echo $lang->order->product;?></th>
        <?php endif;?>
        <td>
          <div class='input-group'>
            <select id='product<?php echo $i;?>' name='product[<?php echo $i;?>]' class='product-batchEdit select-product form-control chosen' data-placeholder='<?php echo $lang->orderProduct->product;?>'>
              <option></option>
              <?php foreach($products as $product):?>
              <option value='<?php echo $product->id;?>' data-keys='<?php echo $product->pinyin;?>' data-unit='<?php echo $product->unit;?>' <?php if($product->id == $orderProduct->product) echo 'selected';?>><?php echo $product->name;?></option>
              <?php endforeach;?>
            </select>
            <span class='input-group-addon'>
              <?php echo html::a($this->createLink('product','createFromOrder', "id=product{$i}"), $lang->order->createProduct, "data-toggle='modal'");?>
            </span>
          </div>
        </td>
        <td class='w-100px'>
          <?php $product = zget($products, $orderProduct->product);?>
          <?php echo html::input("unit[$i]", $product->unit, "id='unit{$i}' class='product-batchEdit form-control' placeholder='{$lang->orderProduct->unit}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("price[$i]", $orderProduct->price ? $orderProduct->price : '', "id='price{$i}' class='product-batchEdit form-control product-price' placeholder='{$lang->orderProduct->price}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("amount[$i]", $orderProduct->amount, "id='amount{$i}' class='product-batchEdit form-control product-amount' placeholder='{$lang->orderProduct->amount}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("moneys[$i]", $orderProduct->money ? $orderProduct->money : '', "id='moneys{$i}' class='product-batchEdit form-control product-money' placeholder='{$lang->order->money}'");?>
        </td>
        <td>
          <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn btn-link pull-left btn-mini btn-remove'");?>
          <?php echo html::hidden("mode[$i]", 'purchase', "class='product-batchEdit'");?>
        </td>
      </tr>
      <?php $i ++;?>
      <?php endforeach;?>
      <?php $count = $productsCount < $newItemsCount ? $newItemsCount - $productsCount : 1;?>
      <?php for($j = 0; $j < $count; $j ++, $i ++):?>
      <tr>
        <?php if($i == 1):?>
        <th id='product_title' rowspan='<?php echo $newItemsCount;?>'><?php echo $lang->order->product;?></th>
        <?php endif;?>
        <td>
          <div class='input-group'>
          <select id='product<?php echo $i;?>' name='product[<?php echo $i;?>]' class='product-batchEdit select-product form-control chosen' data-placeholder='<?php echo $lang->orderProduct->product;?>'>
              <option></option>
              <?php foreach($products as $product):?>
              <option value='<?php echo $product->id;?>' data-keys='<?php echo $product->pinyin;?>' data-unit='<?php echo $product->unit;?>'><?php echo $product->name;?></option>
              <?php endforeach;?>
            </select>
            <?php if(commonModel::hasPriv('product', 'createFromOrder')):?>
            <span class='input-group-addon'>
              <?php echo html::a($this->createLink('product','createFromOrder', "id=product{$i}"), $lang->order->createProduct, "data-toggle='modal'");?>
            </span>
            <?php endif;?>
          </div>
        </td>
        <td class='w-100px'>
          <?php echo html::input("unit[$i]", '', "id='unit{$i}' class='product-batchEdit form-control' placeholder='{$lang->orderProduct->unit}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("price[$i]", '', "id='price{$i}' class='product-batchEdit form-control product-price' placeholder='{$lang->orderProduct->price}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("amount[$i]", '', "id='amount{$i}' class='product-batchEdit form-control product-amount' placeholder='{$lang->orderProduct->amount}'");?>
        </td>
        <td class='w-100px'>
          <?php echo html::input("moneys[$i]", '', "id='moneys{$i}' class='product-batchEdit form-control product-money' placeholder='{$lang->order->money}'");?>
        </td>
        <td>
          <?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");?>
          <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");?>
          <?php echo html::hidden("mode[$i]", 'create', "class='product-batchEdit'");?>
        </td>
      </tr>
      <?php endfor;?>
      <tr>
        <th><?php echo $lang->order->money;?></th>
        <td><?php echo html::input('money', $money ? $money : '', "class='w-p40 form-control'");?></td>
        <td></td>
        <th><?php echo $lang->order->taxed;?></th>
        <td colspan='2'>
          <div class='required required-wrapper'></div>
          <?php echo html::select('taxed', $lang->order->taxedList, $this->config->order->taxedUndefined, "class='form-control'");?>
        </td>
        <td></td>
      </tr>
      <tr>
        <th><?php echo $lang->order->finishedDate;?></th>
        <td>
          <div class='required required-wrapper required-finishedDate'></div>
          <?php echo html::input('finishedDate', '', "class='w-p40 form-control form-date'");?>
        </td>
        <td></td>
        <th><?php echo $lang->order->settlement;?></th>
        <td colspan='2'><?php echo html::select('settlement', $lang->order->settlementList, '', "class='form-control'");?></td>
        <td></td>
      </tr>
      <tr>
        <th><?php echo $lang->desc;?></th>
        <td colspan='5'><?php echo html::textarea('desc', '', "rows='1' class='form-control'");?></td>
        <td></td>
      </tr>
      <tr>
        <th></th>        
        <td colspan='6'>
          <?php echo html::hidden('type', $type);?>
          <?php echo html::submitButton() . html::backButton();?>
        </td>   
      </tr>
    </table>
    <div id='quotations' class='panel hide'></div>
    <div id='recentOrders' class='panel hide'></div>
  </form>
  </div>
</div>
<?php js::set('key', $i);?>
<?php include '../../../common/view/footer.html.php';?>
