<?php 
/**
 * The browse view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/treeview.html.php';?>
<?php js::set('message', $lang->product->inputProduct);?>
<div class='left-bar'>
  <?php include './category.html.php';?>
</div>
<div class='middle-bar'>
   <div id='menuActions'>
     <?php if(commonModel::hasPriv('product', 'exportTemplate') || commonModel::hasPriv('product', 'import')):?>
     <div class='btn-group'>
       <button class='btn btn-primary dropdown-toggle' data-toggle='dropdown'><i class='icon-upload-alt'></i> <?php echo $lang->import;?></button>
       <ul class='dropdown-menu' role='menu'>
         <?php if(commonModel::hasPriv('product', 'import')):?>
         <li><?php echo html::a(inlink('import'), $lang->importData, "data-toggle='modal'");?></li>
         <?php endif;?>
         <?php if(commonModel::hasPriv('product', 'exportTemplate')):?>
         <li><?php echo html::a(inlink('exportTemplate'), $lang->exportTemplate);?></li>
         <?php endif;?>
       </ul>
     </div>
     <?php endif;?>
     <?php 
       if(commonModel::hasPriv('product', 'exportProduct')) echo html::a(inlink('exportProduct'), "<i class='icon-download-alt'></i> " . $lang->export, "class='btn btn-primary export' data-toggle='modal'");
       if(commonModel::hasPriv('product', 'create')) echo html::a(inlink('create', "productID=0&categoryID={$categoryID}"), "<i class='icon-plus'></i> " . $lang->product->create, "class='btn btn-primary'");
       if(commonModel::hasPriv('product', 'batchCreate')) echo html::a(inlink('batchCreate', "categoryID={$categoryID}"), "<i class='icon-plus-sign'></i> " . $lang->batchCreate, "class='btn btn-primary'");
     ?>
     <form method='post' class='form-inline form-search pull-right'>
       <div class="input-group">
         <?php echo html::input('value', '', "class='form-control search-query' placeholder='{$lang->product->inputProduct}'");?>
         <span class="input-group-btn">
           <?php echo html::a('#', "<i class='icon icon-search'> </i>" . $lang->search, "class='btn btn-primary searchBtn'");?>
         </span>
       </div>
     </form>
   </div>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><i class='icon-list-ul'></i> <?php echo $lang->product->browse;?></strong>
    </div>
    <form id='browseForm' action="<?php echo inlink('import');?>" method='post'>
      <table class='table table-condensed table-hover table-striped tablesorter'>
        <thead>
          <tr>
            <?php $vars = "categoryID={$categoryID}&storeID={$storeID}&shelfID={$shelfID}&status={$status}&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
            <th class='w-70px' ><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->id);?></th>
            <th class='w-p15'><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->product->name);?></th>
            <th class='w-120px'><?php commonModel::printOrderLink('standard', $orderBy, $vars, $lang->product->standard);?></th>
            <th class='w-180px'><?php commonModel::printOrderLink('model', $orderBy, $vars, $lang->product->model);?></th>
            <th class='w-180px'><?php commonModel::printOrderLink('material', $orderBy, $vars, $lang->product->material);?></th>
            <th class='w-60px' ><?php commonModel::printOrderLink('unit', $orderBy, $vars, $lang->product->unit);?></th>
            <th class='w-80px text-right'><?php commonModel::printOrderLink('amount', $orderBy, $vars, $lang->product->amount);?></th>
            <th class='w-140px text-center'><?php echo $lang->actions;?></th>
          </tr>
        </thead>
        <tbody>
          <?php $i = 1;?>
          <?php foreach($products as $id => $product):?>
          <tr>
            <td>
              <input type='checkbox' class='checkbox-choose' name='productIDList[<?php echo $product->id;?>]' value='<?php echo $product->id;?>'>
              <?php echo $i;?>
            </td>
            <td><?php if(!commonModel::printLink('product', 'detail', "productID={$product->id}", $product->name)) echo $product->name;?></td>
            <td><?php echo $product->standard;?></td>
            <td><?php echo $product->model;?></td>
            <td><?php echo $product->material;?></td> 
            <td><?php echo $product->unit;?></td>
            <td class='text-right'><?php echo $product->amount;?></td>
            <td class='text-right'>
            <?php 
                commonModel::printLink('product', 'create', "id={$product->id}&categoryID={$categoryID}", $lang->copy);
                commonModel::printLink('product', 'edit',   "id={$product->id}", $lang->edit);
                commonModel::printLink('product', 'detail', "id={$product->id}&status={$status}", $lang->detail);
                commonModel::printLink('product', 'delete', "id={$product->id}", $lang->delete, "class='deleter'");
            ?>
            </td>
          </tr>
          <?php $i++;?>
          <?php endforeach;?>
        </tbody>
        <tfoot>
          <tr>
            <td colspan='11'>
              <div class='btn-group'>
                <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
                <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
              </div>
              <div class='btn-group'>
                <?php if(commonModel::hasPriv('product', 'batchEdit')):?>
                <button class='btn' onclick="setFormAction('<?php echo inlink('batchEdit');?>', 'edit')">
                  <?php echo $lang->edit;?>
                </button>
                <?php endif;?>
                <div class='btn-group'>
                  <button class='btn dropdown-toggle' data-toggle='dropdown'><i class='icon-caret-down'></i></button>
                  <?php if(commonModel::hasPriv('product', 'batchDelete')):?>
                  <ul class='dropdown-menu' role='menu'>
                    <li>
                      <?php 
                          $link = "setFormAction('" . inlink('batchDelete') . "', 'delete')";
                          echo html::a('#', $lang->delete, "onclick=\"$link\"");
                      ?>
                    </li>
                  </ul>        
                  <?php endif;?>
                </div>
              </div>
              <?php $pager->show();?>
            </td>
          </tr>
        </tfoot>
      </table>
    </form>
  </div>
</div>
<script>
$("li>a[href='<?php echo inlink('browse', array('category' => $categoryID, 'storeID' => $storeID, 'shelfID' => $shelfID, 'status' => $status))?>']").attr("class", 'active');
</script>
<?php include '../../common/view/footer.html.php';?>
