<?php 
/**
 * The create view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/treeview.html.php';?>
<?php js::set('modelsCount', count($models));?>
<div class='left-bar'>
  <?php include './category.html.php';?>
</div>
<div class='middle-bar'>
  <div class='panel'>
    <div class='panel-heading'>
        <?php if($isEdit):?>
        <strong><i class='icon-edit'></i> <?php echo $lang->product->edit;?></strong>
        <?php else:?>
        <strong><i class='icon-plus'></i> <?php echo $lang->product->create;?></strong>
        <?php endif;?>
    </div>
    <div class='panel-body'>
      <form id='ajaxForm' method='post'>
        <table class='table table-form'>
          <tr>
            <th class='w-60px'><?php echo $lang->product->category;?></th>
            <td colspan='3'>
              <div class="required required-wrapper"></div>
              <?php echo html::select('category', $categories, $product->category, "class='chosen'");?>
            </td>
            <td class='w-60px'></td>
          </tr>
          <tr>
            <th><?php echo $lang->product->name;?></th>
            <td colspan='3'><?php echo html::input('name', $product->name, "class='form-control'");?></td>
            <td></td>
          </tr>
          <tr>
            <th></th>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->standard;?></span>
                <?php echo html::select('standard', $standards, $product->standard, "class='chosen'");?>
                <?php echo html::input('newStandard', '', "id='newStandard' class='form-control newProperty' style='display:none'");?>
                <span class='input-group-addon'><?php echo html::checkbox('createStandard', $lang->new, '', "class='createProperty'");?></span>
              </div>
            </td>
            <td colspan='2'>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->material;?></span>
                <?php echo html::select('material', $materials, $product->material, "class='chosen'");?>
                <?php echo html::input('newMaterial', '', "id='newMaterial' class='form-control newProperty' style='display:none'");?>
                <span class='input-group-addon'><?php echo html::checkbox('createMaterial', $lang->new, '', "class='createProperty'");?></span>
              </div>
            </td>
            <td></td>
          </tr>
          <tr>
            <th></th>
            <td class='w-p30'>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->unit;?></span>
                <?php echo html::select('unit', $units, $product->unit, "class='chosen'");?>
                <?php echo html::input('newUnit', '', "id='newUnit' class='form-control newProperty' style='display:none'");?>
                <span class='input-group-addon'><?php echo html::checkbox('createUnit', $lang->new, '', "class='createProperty'");?></span>
              </div>
            </td>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->brand;?></span>
                <?php echo html::input('brand', $product->brand, "class='form-control'");?>
              </div>
            </td>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->pack;?></span>
                <?php echo html::input('pack', $product->pack, "class='form-control'");?>
              </div>
            </td>
            <td></td>
          </tr>
          <tr>
            <th></th>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->store;?></span>
                <?php echo html::select('store', $stores, $product->store, "class='chosen' onchange='getShelves(this.value)'");?>
              </div>
            </td>
            <td>
              <div class='input-group' id='shelfDIV'>
                <span class='input-group-addon'><?php echo $lang->product->shelf;?></span>
                <?php echo html::select('shelf', $shelves, $product->shelf, "class='form-control'");?>
              </div>
            </td>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->sn;?></span>
                <?php echo html::input('sn', $product->sn, "class='form-control'");?>
              </div>
            </td>
            <td></td>
          </tr>
          <tr>
            <th></th>
            <td colspan='2'>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->model;?></span>
                <?php echo html::select('model[0]', $models, $product->model, "id='model0' class='newRows chosen'");?>
                <?php echo html::input('newModel[0]', '', "id='newModel0' class='newRows newProperty form-control' style='display:none'");?>
                <span class='input-group-addon'><?php echo html::checkbox('createModel', $lang->new, '', "class='createProperty newRows '");?></span>
              </div>
            </td>
            <td>
              <div class='input-group'>
                <span class='input-group-addon'><?php echo $lang->product->amount;?></span>
                <?php echo html::input('amount[0]', $product->amount, "id='amount0' class='newRows form-control'");?>
              </div>
            </td>
            <?php if(!$isEdit):?>
            <td>
              <?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='btn-plus'");?>
              <?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='btn-remove'");?>
            </td>
            <?php endif;?>
          </tr>              
          <tr>
            <th><?php echo $lang->desc;?></th>
            <td colspan='3'><?php echo html::textarea('desc', $product->desc, "rows='1' class='form-control'");?></td>
            <td></td>
          </tr>
          <tr>
            <th></th>
            <td colspan='4'><?php echo html::submitButton() . html::backButton();?></td>
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
<?php js::set('key', 1);?>
<?php include '../../common/view/footer.html.php';?>
