<?php
/**
 * The browse view file of quotation module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     quotation 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/treeview.html.php';?>
<div class='col-md-2'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong>
        <?php if(!commonModel::printLink('quotation', 'browse', '', $lang->product->all)) echo $lang->product->all;?>
      </strong>
    </div>
    <div class='panel-body'>
      <ul class='tree treeview'>
        <?php foreach($menuList as $trader => $item1):?>
        <li class='collapsable'>
          <?php if(!commonModel::printLink('quotation', 'browse', "trader=$trader", $companyList[$trader])) echo $companyList[$trader];?>
          <ul>
            <?php foreach($item1 as $category => $item2):?>
            <li>
              <?php if(!commonModel::printLink('quotation', 'browse', "trader=$trader&category=$category", $categoryList[$category])) echo $categoryList[$category];?>
              <ul>
                <?php foreach($item2 as $standard):?>
                <li>
                  <?php if(!commonModel::printLink('quotation', 'browse', "trader=$trader&category=$category&standard=$standard", $standardList[$standard])) echo $standardList[$standard];?>
                </li>
                <?php endforeach;?>
              </ul>
            </li>
            <?php endforeach;?>
          </ul>
        </li>
        <?php endforeach;?>
      </ul>
    </div>
  </div>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><?php echo $lang->quotation->browse;?></strong>
      <div class='panel-actions'>
        <?php commonModel::printLink('quotation', 'create', '', $lang->quotation->create, "class='btn btn-primary'");?>
      </div>
    </div>
    <div class='panel-body'>
      <table class='table table-condensed'>
        <tr>
          <th class='w-60px'><?php echo $lang->id;?></th>
          <th><?php echo $lang->quotation->name;?></th>
          <th class='w-200px'><?php echo $lang->quotation->trader;?></th>
          <th class='w-160px'><?php echo $lang->quotation->standard;?></th>
          <th class='w-160px'><?php echo $lang->quotation->material;?></th>
          <th class='w-60px'><?php echo $lang->quotation->unit;?></th>
          <th class='w-100px'><?php echo $lang->actions;?></th>
        </tr>
        <?php foreach($quotationList as $quotation):?>
        <tr>
          <td><?php echo $quotation->id;?></td>
          <td><?php echo $quotation->name;?></td>
          <td><?php echo $companyList[$quotation->trader];?></td>
          <td><?php echo $standardList[$quotation->standard];?></td>
          <td><?php echo $materialList[$quotation->material];?></td>
          <td><?php echo $unitList[$quotation->unit];?></td>
          <td>
            <?php 
              commonModel::printLink('quotation', 'edit', "id={$quotation->id}", $lang->edit); 
              commonModel::printLink('quotation', 'detail', "id={$quotation->id}", $lang->detail);
              commonModel::printLink('quotation', 'delete', "id={$quotation->id}", $lang->delete, "class='deleter'"); 
            ?>
          </td>
        </tr>
        <?php endforeach;?>
        <tr>
          <td colspan='8'><?php $pager->show();?></td>
        </tr>
      </table>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>

