<?php
/**
 * The edit view file of quotation module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     quotation 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->quotation->edit;?></strong>
  </div>
  <div class='panel-body'>
    <form id='ajaxForm' method='post'>
      <table class='table table-form'>
        <tr>
          <th><?php echo $lang->quotation->name;?></th>
          <td colspan='8'><?php echo html::input('name', $quotation->name, "class='form-control'");?></td>
        </tr>        
        <tr>
          <th><?php echo $lang->quotation->category;?></th>
          <td><?php echo html::select('category', $categoryList, $quotation->category, "class='form-control chosen'");?></td>
          <th><?php echo $lang->quotation->product;?></th>
          <td><?php echo html::input('product', '', "class='form-control'");?></td>
          <th><?php echo $lang->quotation->trader;?></th>
          <td colspan='3'>
            <div class='input-group'>
            <?php echo html::select('trader', $companyList, $quotation->trader, "class='form-control chosen'");?>
            <?php echo html::input('newTrader', '', "class='form-control' style='display:none'");?>
            <span class='input-group-addon'>
              <?php echo html::checkbox('createTrader', $lang->new);?>
            </span>
            </div>
          </td>
        </tr>        
        <tr>
          <th class='w-80px'><?php echo $lang->quotation->standard;?></th>
          <td class='w-220px'><?php echo html::select('standard', $standardList, $quotation->standard, "class='form-control chosen'");?></td>
          <th class='w-80px'><?php echo $lang->quotation->material;?></th>
          <td class='w-220px'><?php echo html::select('material', $materialList, $quotation->material, "class='form-control chosen'");?></td>
          <th class='w-80px'><?php echo $lang->quotation->unit;?></th>
          <td class='w-120px'><?php echo html::select('unit', $unitList, $quotation->unit, "class='form-control chosen'");?></td>
          <th class='w-80px'><?php echo $lang->quotation->currency;?></th>
          <td class='w-120px'><?php echo html::select('currency', $currencyList, $quotation->currency, "class='form-control chosen'");?></td>
        </tr>        
      </table>
      <table id='table-detail' class='table table-form'>
      <?php
          foreach($config->quotation->propertyFields as $field)
          {
              $class = $field == 'property1' ? '' : 'moreProperty hide';
              echo "<tr class='$class'>";
              echo "<th class='w-80px'>";
              if($field == 'property1')
              {
                  echo $lang->quotation->model;
              }
              echo "</th>";
              $i = 0;
              foreach($quotation->property1List as $item)
              {
                  echo "<th>";
                  if($field == 'discount') 
                  {
                      $value = $item->$field == 0 ? '' : $item->$field;
                  }
                  else
                  {
                      $value = $item->$field;
                  }
                  echo html::input("$field" . "[$i]", $value, "class='form-control' placeholder='{$lang->quotation->$field}'");
                  echo "</th>";
                  $i++;
              }
              for(; $i < $config->quotation->newItems; $i++)
              {
                  echo "<th>";
                  echo html::input("$field" . "[$i]", '', "class='form-control' placeholder='{$lang->quotation->$field}'");
                  echo "</th>";
              }
              echo "</tr>";
          }
          js::set('col', $i);
          $i = 0;
          foreach($quotation->itemList as $property2 => $row)
          {
              echo "<tr>";
              echo "<th>";
              echo html::input("property2[$i]", $property2, "class='form-control' placeholder='{$lang->quotation->property2}'");
              echo "</th>";
              $j = 0;
              foreach($quotation->property1List as $item)
              {
                  if(isset($row[$item->property1]))
                  {
                      $price = $row[$item->property1]->price;
                      echo "<td>";
                      echo html::input("price[$i][$j]", $price == 0 ? '' : $price, "id='price{$i}_{$j}' class='form-control price' row='$i' col='$j'");
                      echo "</td>";
                  }
                  else
                  {
                      echo "<td>";
                      echo html::input("price[$i][$j]", '', "id='price{$i}_{$j}' class='form-control price' row='$i' col='$j'");
                      echo "</td>";
                  }
                  $j++;
              }
              for(; $j < $config->quotation->newItems; $j++)
              {
                  echo "<td>";
                  echo html::input("price[$i][$j]", '', "id='price{$i}_{$j}' class='form-control' row='$i' col='$j'");
                  echo "</td>";
              }
              echo "</tr>";
              $i++;
          }
          for(; $i < $config->quotation->newItems; $i++)
          {
              echo "<tr>";
              echo "<th>";
              echo html::input("property2[$i]", '', "class='form-control' placeholder='{$lang->quotation->property2}'");
              echo "</th>";
              $col = count($quotation->property1List);
              if($col < $config->quotation->newItems) $col = $config->quotation->newItems;
              for($j = 0; $j < $col; $j++)
              {
                  echo "<td>";
                  echo html::input("price[$i][$j]", '', "id='price{$i}_{$j}' class='form-control price' row='$i' col='$j'");
                  echo "</td>";
              }
              echo "</tr>";
          }
          js::set('row', $i);
      ?>
      </table>
      <div class='text-center'>
        <?php echo html::submitButton() . html::backButton();?>
      </div>
    </form>
  </div>
</div>
<div id='rightDocker'>
  <div><?php echo html::checkbox('moreProperty', $lang->quotation->moreProperty);?></div>
  <div><?php echo html::commonButton($lang->quotation->newRow, 'btn', "id='newRow'");?></div>
  <div><?php echo html::commonButton($lang->quotation->newCol, 'btn', "id='newCol'");?></div>
</div>
<?php include '../../common/view/footer.html.php';?>
