<?php
/**
 * The admin view file of user module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Yangyang Shi <shiyangyangwork@yahoo.cn>
 * @package     User
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php
include '../../common/view/header.html.php';
js::set('provider', $this->get->provider);
?>
<div id='menuActions'>
  <form method='get' class='form-inline form-search'>
    <?php echo html::hidden('m','user') . html::hidden('f','admin');?>
    <div class="input-group">
      <?php if(commonModel::hasPriv('user', 'create')):?>
      <span class="input-group-btn">
        <?php echo html::a(inlink('create'), "<i class='icon-plus'></i> " . $lang->user->create, "class='btn btn-primary'");?>
      </span>
      <?php endif;?>
      <?php
      echo html::input('user', $this->get->user, "class='form-control search-query' placeholder='{$lang->user->inputUserName}'"); 
      ?>
      <span class="input-group-btn">
        <?php echo html::a('#', "<i class='icon icon-search'> </i>" . $lang->search, "class='btn btn-primary searchBtn'");?>
      </span>
    </div>
  </form>
</div>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a(inlink('admin'), $lang->user->common);?></li>
    <li><?php echo html::a($this->createLink('group', 'browse'), $lang->privilege);?></li>
  </ul>
</div>
<div class='col-md-10'>
  <div class="panel">
    <table class='table table-hover table-striped table-bordered'>
      <thead>
        <tr class='text-center'>
          <th><?php echo $lang->user->id;?></th>
          <th><?php echo $lang->user->realname;?></th>
          <th><?php echo $lang->user->account;?></th>
          <th><?php echo $lang->user->join;?></th>
          <th><?php echo $lang->user->visits;?></th>
          <th><?php echo $lang->user->last;?></th>
          <th><?php echo $lang->user->ip;?></th>
          <th><?php echo $lang->user->status;?></th>
          <th><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
      <?php foreach($users as $user):?>
      <tr class='text-center'>
        <td><?php echo $user->id;?></td>
        <td><?php echo $user->realname;?></td>
        <td><?php echo $user->account;?></td>
        <td><?php echo substr($user->join, 0, 10);?></td>
        <td><?php echo $user->visits;?></td>
        <td><?php echo $user->last;?></td>
        <td><?php echo $user->ip;?></td>
        <td>
        <?php if($user->fails > 4 and $user->locked > helper::now()) echo $lang->user->statusList->locked;?>
        <?php if($user->fails <= 4 and $user->locked > helper::now()) echo $lang->user->statusList->forbidden;?>
        <?php if($user->locked <= helper::now()) echo $lang->user->statusList->normal;?>
        </td>
        <td class='operate'>
          <?php commonModel::printLink('user', 'edit', "account={$user->account}", $lang->edit);?>
          <?php if(commonModel::hasPriv('user', 'forbid')):?>
          <?php if($user->locked < helper::now() or $user->locked == helper::now()):?>
          <span class="dropdown">
            <a href='###' class="dropdown-toggle" data-toggle="dropdown"><?php echo $lang->user->forbid?><span class="caret"></span></a>
            <ul class="dropdown-menu pull-right text-left" role="menu">
            <?php foreach($lang->user->forbidDate as $date => $title):?>
              <li><?php echo html::a(inlink('forbid', "userID={$user->id}&date={$date}"), $title, "class='forbider'");?></li>
            <?php endforeach;?>
            </ul>
          </span>
          <?php endif;?>
          <?php endif;?>
          <?php 
            if(commonModel::hasPriv('user', 'activate'))
            {
                if($user->locked > helper::now()) echo html::a(inlink('activate', "id={$user->id}"), $lang->user->activate, "class='forbider'");
            }
            if($this->app->user->account === $user->account)
            {
                echo html::a('#', $lang->delete, "disabled='disabled' class='disabled'");
            }
            else
            {
                commonModel::printLink('user', 'delete', "account={$user->account}", $lang->delete, "class='deleter'");
            }
          ?>
        </td>
      </tr>
      <?php endforeach;?>
      </tbody>
      <tfoot>
        <tr>
          <td colspan='10'>
          <?php $pager->show();?>
          </td>
        </tr>
      </tfoot>
    </table>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
